Subject: Re: bug#79200: 31.0.50; Duplicated elements for '#<marker at' in buffer-undo-list

From: Eli Zaretskii <[email-masked]>
Date: Sat, 09 Aug 2025 14:20:29 +0300

> From: Óscar Fuentes <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 09 Aug 2025 11:47:21 +0200
> X-Spam-Status: No
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Your bug report says this is on master branch:
> >
> >> In GNU Emacs 31.0.50 (build 1, x86_64-pc-linux-gnu, X toolkit, cairo
> >>  version 1.18.4) of 2025-08-08 built on zen
> >> Repository revision: 12354bcfdc288f111c411c87e8bdebe6dcb41a4d
> >> Repository branch: master
> >
> > But I can only reproduce this on the igc branch.  On master, I see a
> > single entry for marker adjustment, not many identical ones.
> 
> On master you need more elaborate sequences of typing, undoing and
> redoing, but it is definitively reproducible.

Why does one need more elaborate sequences on master?

> Maybe it is easier on igc because it does not do compactation, as Pip
> noted.

If compacting the undo-list solves the issue on master, I don't see
this as a grave problem on master.

> Also tried your suggestion of calling garbage-collect (on master) before
> looking at buffer-undo-list. The sequences of duplicated elements
> remained.

On the master branch or on the igc branch?